import { BlankNode, DatasetCore, DefaultGraph, Literal, NamedNode, Quad, Term } from '@rdfjs/types';
import { NQuadsStrategy } from './nquads.js';
import { Value } from './value.js';
import { PartialString, TemplateResult } from './TemplateResult.js';
export interface NTriplesOptions {
    graph: NamedNode | DefaultGraph;
    sortGraphs: false;
}
export type NTriplesTemplateResult = TemplateResult<NTriplesOptions>;
export type NTriplesValue<T extends Term = Term> = Value<NTriplesTemplateResult, T>;
export declare class NTriplesStrategy extends NQuadsStrategy<NTriplesOptions> {
    evaluateDataset(dataset: DatasetCore, options: NTriplesOptions): PartialString;
    evaluateQuad(quad: Quad, options: NTriplesOptions): PartialString;
}
export declare const ntriples: (strings: TemplateStringsArray, ...values: Value<NTriplesTemplateResult, NamedNode | Literal | BlankNode>[]) => TemplateResult<NTriplesOptions>;
//# sourceMappingURL=ntriples.d.ts.map